commit: 1b98cd4575ae862baae6c36744bcc0f852063eb1
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 10 02:02:36 2021 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Dec 10 03:48:49 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1b98cd45
dev-libs/libcdada: add 0.3.5
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-libs/libcdada/Manifest | 1 +
.../files/libcdada-0.3.5-respect-CFLAGS.patch | 23 +++++++++
dev-libs/libcdada/libcdada-0.3.5.ebuild | 54 ++++++++++++++++++++++
3 files changed, 78 insertions(+)
diff --git a/dev-libs/libcdada/Manifest b/dev-libs/libcdada/Manifest
index c6d9dc930d43..383c147f9724 100644
--- a/dev-libs/libcdada/Manifest
+++ b/dev-libs/libcdada/Manifest
@@ -1 +1,2 @@
DIST libcdada-0.3.4.tar.gz 1772957 BLAKE2B
5a7b24e7e033807586a30beb35a304b37262e8e673a02f307af63606b2119e3c76b2ed90cec6f494cac26f77aaafd1756d69c5043cf9adfd6a42cd0db76b4298
SHA512
363f2ebe9a054a6356040bb68460321ffb6dc0f66dfd2f95d275864135bed715e12bb6bbbffe11d665020a119033cd80d6bf323020760339664f1b7a4f1ae9ca
+DIST libcdada-0.3.5.tar.gz 1776937 BLAKE2B
55280e28d2fa6235ac95020b07853748a4551f1c1c2e65b12585064c4fa952dd310b54d5f95f986cea12018d452e1fb086d8bc3c944b169d5aeb280b78f25007
SHA512
4f3d022e54573c4dd0a39d8ef7d097bb209834ba56ec30003ef257e0496c7a08e50a432d0a4a40f019f06feab806cab81ee5ace9c92193266d5ec82cddad3269
diff --git a/dev-libs/libcdada/files/libcdada-0.3.5-respect-CFLAGS.patch
b/dev-libs/libcdada/files/libcdada-0.3.5-respect-CFLAGS.patch
new file mode 100644
index 000000000000..7fa0d01702b3
--- /dev/null
+++ b/dev-libs/libcdada/files/libcdada-0.3.5-respect-CFLAGS.patch
@@ -0,0 +1,23 @@
+--- a/test/Makefile.am
++++ b/test/Makefile.am
+@@ -61,7 +61,6 @@ str_test_CPPFLAGS= -I$(top_builddir)/include/
-I$(top_srcdir)/include/
+ str_test_LDADD= -lpthread ../src/libcdada.la
+
+ benchmark_SOURCES= benchmark.cc
+-benchmark_CXXFLAGS= -O3
+ benchmark_CPPFLAGS= -I$(top_builddir)/include/ -I$(top_srcdir)/include/
+ benchmark_LDADD= -lpthread ../src/.libs/libcdada.a
+
+--- a/config_m4/debug.m4
++++ b/config_m4/debug.m4
+@@ -10,8 +10,8 @@
+ AC_DEFINE([DEBUG], [], [Description])
+ AC_MSG_RESULT(yes)
+ else
+- CFLAGS="$CFLAGS -O3" #--compiler-options -fno-strict-aliasing
--compiler-options -fno-inline
+- CXXFLAGS="$CXXFLAGS -O3" #-fomit-frame-pointer"
++ CFLAGS="$CFLAGS" #--compiler-options -fno-strict-aliasing
--compiler-options -fno-inline
++ CXXFLAGS="$CXXFLAGS" #-fomit-frame-pointer"
+ AC_DEFINE([NDEBUG], [], [Description])
+ AC_MSG_RESULT(no)
+ fi
diff --git a/dev-libs/libcdada/libcdada-0.3.5.ebuild
b/dev-libs/libcdada/libcdada-0.3.5.ebuild
new file mode 100644
index 000000000000..6a1c7ec68867
--- /dev/null
+++ b/dev-libs/libcdada/libcdada-0.3.5.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit autotools python-any-r1
+
+DESCRIPTION="Basic data structures in C"
+HOMEPAGE="https://github.com/msune/libcdada"
+SRC_URI="https://github.com/msune/${PN}/archive/refs/tags/v${PV}.tar.gz ->
${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="test? ( ${PYTHON_DEPS} )"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-0.3.4-Werror.patch
+ "${FILESDIR}"/${PN}-0.3.5-respect-CFLAGS.patch
+)
+
+pkg_setup() {
+ use test && python-any-r1_pkg_setup
+}
+
+src_prepare() {
+ default
+
+ eautoreconf
+}
+
+src_configure() {
+ local myeconfargs=(
+ $(use_with test tests)
+
+ # Needed for tests. We throw them away in src_install anyway.
+ --enable-static
+
+ --disable-valgrind
+ --without-examples
+ )
+
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ default
+
+ find "${ED}" \( -name "*.a" -o -name "*.la" \) -delete || die
+}